bundesliga — Core API
81 endpoints on sdv.bundesliga. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).
espnBundesligaAthleteAwards
BUNDESLIGA — athlete awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/awards
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteAwards({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_awards(...)
espnBundesligaAthleteCareerStats
BUNDESLIGA — athlete career stats (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/statistics[/{stat_type}]
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
{stat_type} | stat_type | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteCareerStats({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_career_stats(...)
espnBundesligaAthleteContracts
BUNDESLIGA — athlete contracts (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/contracts
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteContracts({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_contracts(...)
espnBundesligaAthleteCore
BUNDESLIGA — athlete core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaAthleteCore({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_core(...)
espnBundesligaAthleteEventlog
BUNDESLIGA — athlete eventlog (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/eventlog
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteEventlog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_eventlog(...)
espnBundesligaAthleteInjuries
BUNDESLIGA — athlete injuries (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/injuries
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_injuries):
| col_name | type | description |
|---|---|---|
id | character | |
display_name | character | |
injuries | character |
Example:
await sdv.bundesliga.espnBundesligaAthleteInjuries({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_injuries(...)
espnBundesligaAthleteNotes
BUNDESLIGA — athlete notes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/notes
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteNotes({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_notes(...)
espnBundesligaAthleteRecords
BUNDESLIGA — athlete records (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/records
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteRecords({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_records(...)
espnBundesligaAthleteSeasons
BUNDESLIGA — athlete seasons (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/seasons
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteSeasons({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_seasons(...)
espnBundesligaAthleteStatisticslog
BUNDESLIGA — athlete statisticslog (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/statisticslog
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthleteStatisticslog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_statisticslog(...)
espnBundesligaAthleteVsAthlete
BUNDESLIGA — athlete vs athlete (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes/{athlete_id}/vsathlete/{opp_id}
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
{opp_id} | opp_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaAthleteVsAthlete({ athlete_id: '…', opp_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athlete_vs_athlete(...)
espnBundesligaAthletesIndex
BUNDESLIGA — athletes index (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/athletes
| API param | JS | required | description |
|---|---|---|---|
active | active | no | query parameter (default true) |
limit | limit | no | query parameter (default 100) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAthletesIndex({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_athletes_index(...)
espnBundesligaAward
BUNDESLIGA — award (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/awards/{award_id}
| API param | JS | required | description |
|---|---|---|---|
{award_id} | award_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaAward({ award_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_award(...)
espnBundesligaAwards
BUNDESLIGA — awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/awards
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaAwards({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_awards(...)
espnBundesligaCoach
BUNDESLIGA — coach (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/coaches/{coach_id}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaCoach({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_coach(...)
espnBundesligaCoachRecord
BUNDESLIGA — coach record (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/coaches/{coach_id}/record/{record_type}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
{record_type} | record_type | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaCoachRecord({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_coach_record(...)
espnBundesligaCoachSeason
BUNDESLIGA — coach season (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/coaches/{coach_id}/seasons/{season}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaCoachSeason({ coach_id: '…', season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_coach_season(...)
espnBundesligaEvent
BUNDESLIGA — event (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEvent({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event(...)
espnBundesligaEventBroadcasts
BUNDESLIGA — event broadcasts (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/broadcasts
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventBroadcasts({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_broadcasts(...)
espnBundesligaEventCompetition
BUNDESLIGA — event competition (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventCompetition({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competition(...)
espnBundesligaEventCompetitor
BUNDESLIGA — event competitor (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventCompetitor({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitor(...)
espnBundesligaEventCompetitorLeaders
BUNDESLIGA — event competitor leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/leaders
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventCompetitorLeaders({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitor_leaders(...)
espnBundesligaEventCompetitorLinescores
BUNDESLIGA — event competitor linescores (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/linescores
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_linescores); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventCompetitorLinescores({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitor_linescores(...)
espnBundesligaEventCompetitorRecord
BUNDESLIGA — event competitor record (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/record
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventCompetitorRecord({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitor_record(...)
espnBundesligaEventCompetitorRoster
BUNDESLIGA — event competitor roster (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/roster
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_roster); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventCompetitorRoster({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitor_roster(...)
espnBundesligaEventCompetitorStatistics
BUNDESLIGA — event competitor statistics (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/statistics
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_event_competitor_statistics):
| col_name | type | description |
|---|---|---|
split_name | character | Split / season-segment name |
category_name | character | Statistic category name |
stat_name | character | Statistic name |
stat_abbreviation | character | Statistic abbreviation |
stat_value | number | Numeric statistic value |
stat_display_value | character | Formatted statistic value |
stat_description | character | Statistic description |
Example:
await sdv.bundesliga.espnBundesligaEventCompetitorStatistics({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitor_statistics(...)
espnBundesligaEventCompetitors
BUNDESLIGA — event competitors (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/competitors
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventCompetitors({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_competitors(...)
espnBundesligaEventLeaders
BUNDESLIGA — event leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/leaders
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventLeaders({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_leaders(...)
espnBundesligaEventOdds
BUNDESLIGA — event odds (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/odds
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventOdds({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_odds(...)
espnBundesligaEventOfficialDetail
BUNDESLIGA — event official detail (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/officials/{official_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{official_id} | official_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventOfficialDetail({ event_id: '…', official_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_official_detail(...)
espnBundesligaEventOfficials
BUNDESLIGA — event officials (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/officials
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventOfficials({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_officials(...)
espnBundesligaEventPlay
BUNDESLIGA — event play (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/plays/{play_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{play_id} | play_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventPlay({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_play(...)
espnBundesligaEventPlayPersonnel
BUNDESLIGA — event play personnel (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/plays/{play_id}/personnel
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{play_id} | play_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventPlayPersonnel({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_play_personnel(...)
espnBundesligaEventPlays
BUNDESLIGA — event plays (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/plays
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
limit | limit | no | query parameter (default 1000) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_plays); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventPlays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_plays(...)
espnBundesligaEventPowerindex
BUNDESLIGA — event powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/powerindex
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventPowerindex({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_powerindex(...)
espnBundesligaEventPredictor
BUNDESLIGA — event predictor (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/predictor
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventPredictor({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_predictor(...)
espnBundesligaEventProbabilities
BUNDESLIGA — event probabilities (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/probabilities
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
limit | limit | no | query parameter (default 300) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventProbabilities({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_probabilities(...)
espnBundesligaEventPropbets
BUNDESLIGA — event propbets (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/propbets
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventPropbets({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_propbets(...)
espnBundesligaEventScoringplays
BUNDESLIGA — event scoringplays (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/scoringplays
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEventScoringplays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_scoringplays(...)
espnBundesligaEventSituation
BUNDESLIGA — event situation (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/situation
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventSituation({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_situation(...)
espnBundesligaEventStatus
BUNDESLIGA — event status (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events/{event_id}/competitions/{cid}/status
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaEventStatus({ event_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_event_status(...)
espnBundesligaEvents
BUNDESLIGA — events (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/events
| API param | JS | required | description |
|---|---|---|---|
dates | dates | no | query parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaEvents({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_events(...)
espnBundesligaFranchise
BUNDESLIGA — franchise (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/franchises/{franchise_id}
| API param | JS | required | description |
|---|---|---|---|
{franchise_id} | franchise_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaFranchise({ franchise_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_franchise(...)
espnBundesligaFranchises
BUNDESLIGA — franchises (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/franchises
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaFranchises({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_franchises(...)
espnBundesligaLeadersCore
BUNDESLIGA — leaders core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/leaders
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaLeadersCore({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_leaders_core(...)
espnBundesligaLeagueNotes
BUNDESLIGA — league notes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/notes
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaLeagueNotes({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_league_notes(...)
espnBundesligaLeagueRoot
BUNDESLIGA — league root (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaLeagueRoot({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_league_root(...)
espnBundesligaPosition
BUNDESLIGA — position (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/positions/{position_id}
| API param | JS | required | description |
|---|---|---|---|
{position_id} | position_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaPosition({ position_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_position(...)
espnBundesligaPositions
BUNDESLIGA — positions (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/positions
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaPositions({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_positions(...)
espnBundesligaSeasonAthletes
BUNDESLIGA — season athletes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/athletes
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 100) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonAthletes({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_athletes(...)
espnBundesligaSeasonAwards
BUNDESLIGA — season awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/awards
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonAwards({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_awards(...)
espnBundesligaSeasonCoaches
BUNDESLIGA — season coaches (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/coaches
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_coaches); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonCoaches({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_coaches(...)
espnBundesligaSeasonDraft
BUNDESLIGA — season draft (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/draft
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_draft); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonDraft({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_draft(...)
espnBundesligaSeasonDraftRoundPicks
BUNDESLIGA — season draft round picks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/draft/rounds/{round_num}/picks
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{round_num} | round_num | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonDraftRoundPicks({ season: '…', round_num: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_draft_round_picks(...)
espnBundesligaSeasonFreeagents
BUNDESLIGA — season freeagents (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/freeagents
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonFreeagents({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_freeagents(...)
espnBundesligaSeasonFutures
BUNDESLIGA — season futures (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/futures
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonFutures({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_futures(...)
espnBundesligaSeasonGroup
BUNDESLIGA — season group (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/groups/{group_id}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonGroup({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_group(...)
espnBundesligaSeasonGroupChildren
BUNDESLIGA — season group children (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/groups/{group_id}/children
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonGroupChildren({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_group_children(...)
espnBundesligaSeasonGroupTeams
BUNDESLIGA — season group teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/groups/{group_id}/teams
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonGroupTeams({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_group_teams(...)
espnBundesligaSeasonGroups
BUNDESLIGA — season groups (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/groups
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonGroups({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_groups(...)
espnBundesligaSeasonInfo
BUNDESLIGA — season info (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonInfo({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_info(...)
espnBundesligaSeasonPointer
BUNDESLIGA — season pointer (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/season
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonPointer({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_pointer(...)
espnBundesligaSeasonPowerindex
BUNDESLIGA — season powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/powerindex[/{team_id}]
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{team_id} | team_id | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonPowerindex({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_powerindex(...)
espnBundesligaSeasonPowerindexLeaders
BUNDESLIGA — season powerindex leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/powerindex/leaders
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonPowerindexLeaders({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_powerindex_leaders(...)
espnBundesligaSeasonTeam
BUNDESLIGA — season team (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/teams/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{team_id} | team_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonTeam({ season: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_team(...)
espnBundesligaSeasonTeams
BUNDESLIGA — season teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/teams
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonTeams({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_teams(...)
espnBundesligaSeasonType
BUNDESLIGA — season type (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonType({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_type(...)
espnBundesligaSeasonTypeCorrections
BUNDESLIGA — season type corrections (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/corrections
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonTypeCorrections({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_type_corrections(...)
espnBundesligaSeasonTypeLeaders
BUNDESLIGA — season type leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/leaders
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonTypeLeaders({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_type_leaders(...)
espnBundesligaSeasonTypes
BUNDESLIGA — season types (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonTypes({ season: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_types(...)
espnBundesligaSeasonWeek
BUNDESLIGA — season week (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/weeks/{week}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaSeasonWeek({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_week(...)
espnBundesligaSeasonWeekEvents
BUNDESLIGA — season week events (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/weeks/{week}/events
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonWeekEvents({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_week_events(...)
espnBundesligaSeasonWeeks
BUNDESLIGA — season weeks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons/{season}/types/{season_type}/weeks
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasonWeeks({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_season_weeks(...)
espnBundesligaSeasons
BUNDESLIGA — seasons (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/seasons
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaSeasons({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_seasons(...)
espnBundesligaStandingsCore
BUNDESLIGA — standings core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/standings
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_standings):
| col_name | type | description |
|---|---|---|
group_name | character | |
group_abbreviation | character | |
team_id | character | ESPN team id |
team_name | character | |
team_abbreviation | character | Team abbreviation |
team_display_name | character | Team display name |
team_location | character | |
team_logo | character | |
avg_points_against | number | |
avg_points_for | number | |
clincher | integer | |
differential | integer | |
division_win_percent | number | |
games_behind | integer | |
league_win_percent | number | |
losses | integer | |
playoff_seed | integer | |
point_differential | integer | |
points | integer | |
points_against | integer | |
points_for | integer | |
streak | integer | |
win_percent | number | |
wins | integer | |
games_ahead | integer | |
overall | character | |
home | character | |
road | character | |
vs_div | character | |
vs_conf | character | |
last_ten_games | character |
Example:
await sdv.bundesliga.espnBundesligaStandingsCore({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_standings_core(...)
espnBundesligaTalentpicks
BUNDESLIGA — talentpicks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/talentpicks
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaTalentpicks({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_talentpicks(...)
espnBundesligaTeamCore
BUNDESLIGA — team core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/teams/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{team_id} | team_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaTeamCore({ team_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_team_core(...)
espnBundesligaTeamsCore
BUNDESLIGA — teams core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/teams
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_teams); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaTeamsCore({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_teams_core(...)
espnBundesligaTournaments
BUNDESLIGA — tournaments (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/tournaments
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaTournaments({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_tournaments(...)
espnBundesligaVenue
BUNDESLIGA — venue (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/venues/{venue_id}
| API param | JS | required | description |
|---|---|---|---|
{venue_id} | venue_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.bundesliga.espnBundesligaVenue({ venue_id: '…' });
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_venue(...)
espnBundesligaVenues
BUNDESLIGA — venues (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ger.1/venues
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.bundesliga.espnBundesligaVenues({});
// snake_case alias (py/R parity): sdv.bundesliga.espn_bundesliga_venues(...)